diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
index b98ea6c6c..0ba952954 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/view.js
@@ -108,163 +108,6 @@ define('pgadmin.node.view', [
           }
         );
       },
-      /**
-        Define model for the view node and specify the
-        properties of the model in schema.
-      */
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        initialize: function(attrs, args) {
-          if (_.size(attrs) === 0) {
-            // Set Selected Schema and, Current User
-            var schemaLabel = args.node_info.schema._label || 'public',
-              userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            this.set({
-              'schema': schemaLabel, 'owner': userInfo.name,
-            }, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', disabled: 'notInSchema',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', mode: ['properties'],
-        },{
-          id: 'owner', label: gettext('Owner'), cell: 'string', control: 'node-list-by-name',
-          node: 'role', disabled: 'notInSchema', select2: { allowClear: false },
-        },{
-          id: 'schema', label: gettext('Schema'), cell: 'string', first_empty: false,
-          control: 'node-list-by-name', type: 'text', cache_level: 'database',
-          node: 'schema', disabled: 'notInSchema', mode: ['create', 'edit'],
-          select2: { allowClear: false }, cache_node: 'database',
-        },{
-          id: 'system_view', label: gettext('System view?'), cell: 'string',
-          type: 'switch', mode: ['properties'],
-        },{
-          id: 'acl', label: gettext('Privileges'),
-          mode: ['properties'], type: 'text', group: gettext('Security'),
-        },{
-          id: 'comment', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', disabled: 'notInSchema',
-        },{
-          id: 'security_barrier', label: gettext('Security barrier?'),
-          type: 'switch', min_version: '90200', group: gettext('Definition'),
-          disabled: 'notInSchema',
-        },{
-          id: 'check_option', label: gettext('Check options'),
-          control: 'select2', group: gettext('Definition'), type: 'text',
-          min_version: '90400', mode:['properties', 'create', 'edit'],
-          select2: {
-            // Set select2 option width to 100%
-            allowClear: false,
-          }, disabled: 'notInSchema',
-          options:[{
-            label: gettext('No'), value: 'no',
-          },{
-            label: gettext('Local'), value: 'local',
-          },{
-            label: gettext('Cascaded'), value: 'cascaded',
-          }],
-        },{
-          id: 'definition', label: gettext('Code'), cell: 'string',
-          type: 'text', mode: ['create', 'edit'], group: gettext('Code'),
-          tabPanelCodeClass: 'sql-code-control',
-          disabled: 'notInSchema',
-          control: Backform.SqlCodeControl.extend({
-            onChange: function() {
-              Backform.SqlCodeControl.prototype.onChange.apply(this, arguments);
-
-              if (!this.model || !(
-                this.model.changed &&
-                this.model.node_info.server.server_type == 'pg' &&
-                // No need to check this when creating a view
-                this.model.get('oid') !== undefined
-              ) || !(
-                this.model.origSessAttrs &&
-                this.model.changed.definition != this.model.origSessAttrs.definition
-              )) {
-                this.model.warn_text = undefined;
-                return;
-              }
-
-              let old_def = this.model.origSessAttrs.definition &&
-                this.model.origSessAttrs.definition.replace(
-                  /\s/gi, ''
-                ).split('FROM'),
-                new_def = [];
-
-              if (this.model.changed.definition !== undefined) {
-                new_def = this.model.changed.definition.replace(
-                  /\s/gi, ''
-                ).split('FROM');
-              }
-
-              if ((old_def.length != new_def.length) || (
-                old_def.length > 1 && (
-                  old_def[0] != new_def[0]
-                )
-              )) {
-                this.model.warn_text = gettext(
-                  'Changing the columns in a view requires dropping and re-creating the view. This may fail if other objects are dependent upon this view, or may cause procedural functions to fail if they are not modified to take account of the changes.'
-                ) + '<br><br><b>' + gettext('Do you wish to continue?') +
-                '</b>';
-              } else {
-                this.model.warn_text = undefined;
-              }
-            },
-          }),
-        }, pgBrowser.SecurityGroupSchema, {
-          // Add Privilege Control
-          id: 'datacl', label: gettext('Privileges'), type: 'collection',
-          model: pgBrowser.Node.PrivilegeRoleModel.extend({
-            privileges: ['a', 'r', 'w', 'd', 'D', 'x', 't'],
-          }), uniqueCol : ['grantee'], editable: false, group: 'security',
-          mode: ['edit', 'create'], canAdd: true, canDelete: true,
-          control: 'unique-col-collection', disabled: 'notInSchema',
-        },{
-          // Add Security Labels Control
-          id: 'seclabels', label: gettext('Security labels'),
-          model: pgBrowser.SecLabelModel, editable: false, type: 'collection',
-          canEdit: false, group: 'security', canDelete: true,
-          mode: ['edit', 'create'], canAdd: true, disabled: 'notInSchema',
-          control: 'unique-col-collection', uniqueCol : ['provider'],
-        }],
-        validate: function() {
-          // Triggers specific error messages for fields
-          var err = {},
-            errmsg,
-            field_name = this.get('name'),
-            field_def = this.get('definition');
-          if (_.isUndefined(field_name) || _.isNull(field_name) ||
-            String(field_name).replace(/^\s+|\s+$/g, '') == '') {
-            err['name'] = gettext('Please specify name.');
-            errmsg = err['name'];
-            this.errorModel.set('name', errmsg);
-            return errmsg;
-          }else{
-            this.errorModel.unset('name');
-          }
-          if (_.isUndefined(field_def) || _.isNull(field_def) ||
-            String(field_def).replace(/^\s+|\s+$/g, '') == '') {
-            err['definition'] = gettext('Please enter view code.');
-            errmsg = err['definition'];
-            this.errorModel.set('definition', errmsg);
-            return errmsg;
-          }else{
-            this.errorModel.unset('definition');
-          }
-          return null;
-        },
-        // We will disable everything if we are under catalog node
-        notInSchema: function() {
-          if(this.node_info && 'catalog' in this.node_info) {
-            return true;
-          }
-          return false;
-        },
-      }),
     });
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 344abcac5..a60fc26d9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -351,45 +351,6 @@ define('pgadmin.node.database', [
           }
         );
       },
-      /* Few fields are kept since the properties tab for collection is not
-      yet migrated to new react schema. Once the properties for collection
-      is removed, remove this model */
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'did',
-        defaults: {
-          name: undefined,
-          owner: undefined,
-          comment: undefined,
-        },
-
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            this.set({'datowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        schema: [
-          {
-            id: 'name', label: gettext('Database'), cell: 'string',
-            editable: false, type: 'text',
-          },{
-            id: 'did', label: gettext('OID'), cell: 'string', mode: ['properties'],
-            editable: false, type: 'text',
-          },{
-            id: 'datowner', label: gettext('Owner'),
-            editable: false, type: 'text', node: 'role',
-            control: Backform.NodeListByNameControl, select2: { allowClear: false },
-          },{
-            id: 'comments', label: gettext('Comment'),
-            editable: false, type: 'multiline',
-          },
-        ],
-      }),
     });
 
     pgBrowser.SecurityGroupSchema = {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.ui.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.ui.js
index 0715ea1b7..5b02716d3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.ui.js
@@ -95,20 +95,20 @@ export default class DatabaseSchema extends BaseUISchema {
     return [
       {
         id: 'name', label: gettext('Database'), cell: 'text',
-        editable: false, type: 'text', noEmpty: true,
+        editable: false, type: 'text', noEmpty: true, isCollectionProperty: true,
       },{
         id: 'did', label: gettext('OID'), cell: 'text', mode: ['properties'],
         editable: false, type: 'text',
       },{
         id: 'datowner', label: gettext('Owner'),
         editable: false, type: 'select', options: this.fieldOptions.role,
-        controlProps: { allowClear: false },
+        controlProps: { allowClear: false }, isCollectionProperty: true,
       },{
         id: 'is_sys_obj', label: gettext('System database?'),
         cell: 'switch', type: 'switch', mode: ['properties'],
       },{
         id: 'comments', label: gettext('Comment'),
-        editable: false, type: 'multiline',
+        editable: false, type: 'multiline', isCollectionProperty: true,
       },{
         id: 'encoding', label: gettext('Encoding'),
         editable: false, type: 'select', group: gettext('Definition'),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.js b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.js
index 1a145b4d6..f5f596188 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.js
@@ -14,8 +14,8 @@ import Notify from '../../../../../../../static/js/helpers/Notifier';
 
 define('pgadmin.node.subscription', [
   'sources/gettext', 'sources/url_for', 'jquery',
-  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform', 'pgadmin.browser.collection',
-], function(gettext, url_for, $, pgAdmin, pgBrowser, Backform) {
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.browser.collection',
+], function(gettext, url_for, $, pgAdmin, pgBrowser) {
 
   // Extend the browser's collection class for subscriptions collection
   if (!pgBrowser.Nodes['coll-subscription']) {
@@ -24,7 +24,7 @@ define('pgadmin.node.subscription', [
         node: 'subscription',
         label: gettext('Subscriptions'),
         type: 'coll-subscription',
-        columns: ['name', 'subowner', 'pub', 'enabled'],
+        columns: ['name', 'subowner', 'proppub', 'enabled'],
         hasStatistics: true,
       });
   }
@@ -74,101 +74,6 @@ define('pgadmin.node.subscription', [
           enable: 'canCreate',
         }]);
       },
-      // Define the model for subscription node
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        defaults: {
-          name: undefined,
-          subowner: undefined,
-          pubtable: undefined,
-          connect_timeout: 10,
-          pub:[],
-          enabled:true,
-          create_slot: true,
-          copy_data:true,
-          connect:true,
-          copy_data_after_refresh:false,
-          sync:'off',
-          refresh_pub: false,
-          password: '',
-          sslmode: 'prefer',
-          sslcompression: false,
-          sslcert: '',
-          sslkey: '',
-          sslrootcert: '',
-          sslcrl: '',
-          host: '',
-          hostaddr: '',
-          port: 5432,
-          db: 'postgres',
-        },
-
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-
-            this.set({'subowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-
-        // Define the schema for the subscription node
-        schema: [{
-          id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties', 'create', 'edit'],
-          visible: function() {
-            if(!_.isUndefined(this.node_info) && !_.isUndefined(this.node_info.server)
-              && !_.isUndefined(this.node_info.server.version) &&
-                this.node_info.server.version >= 100000) {
-              return true;
-            }
-            return false;
-          },
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string', mode: ['properties'],
-          type: 'text',
-        },
-        {
-          id: 'subowner', label: gettext('Owner'), type: 'text',
-          control: Backform.NodeListByNameControl, node: 'role',
-          mode: ['edit', 'properties', 'create'], select2: { allowClear: false},
-          disabled: function(m){
-            if(m.isNew())
-              return true;
-            return false;
-          },
-        },
-        {
-          id: 'enabled', label: gettext('Enabled?'),
-          type: 'switch', mode: ['properties'],
-          group: gettext('With'),
-          readonly: 'isConnect', deps :['connect'],
-          helpMessage: gettext('Specifies whether the subscription should be actively replicating, or whether it should be just setup but not started yet.'),
-        },
-        {
-          id: 'pub', label: gettext('Publication'), type: 'text', group: gettext('Connection'),
-          mode: ['properties'],
-        },
-        ],
-        sessChanged: function() {
-          if (!this.isNew() && _.isUndefined(this.attributes['refresh_pub']))
-            return false;
-          return pgBrowser.DataModel.prototype.sessChanged.apply(this);
-        },
-        canCreate: function(itemData, item) {
-          var treeData = pgBrowser.tree.getTreeNodeHierarchy(item),
-            server = treeData['server'];
-
-          // If server is less than 10 then do not allow 'create' menu
-          if (server && server.version < 100000)
-            return false;
-
-          // by default we want to allow create menu
-          return true;
-        },
-      }),
       getSchema: function(treeNodeInfo, itemNodeData){
         return new SubscriptionSchema(
           {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.ui.js b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.ui.js
index bb6b418c6..771e3c03b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.ui.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/subscriptions/static/js/subscription.ui.js
@@ -176,7 +176,7 @@ export default class SubscriptionSchema extends BaseUISchema{
       mode: ['properties', 'edit', 'create'],
     },
     {
-      id: 'pub', label: gettext('Publication'), type: 'text', group: gettext('Connection'),
+      id: 'proppub', label: gettext('Publication'), type: 'text', group: gettext('Connection'),
       mode: ['properties'],
     },
     {
diff --git a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
index 1147e352c..0b037813c 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
@@ -582,152 +582,6 @@ define('pgadmin.node.role', [
           },
         );
       },
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        defaults: {
-          oid: null,
-          rolname: undefined,
-          rolcanlogin: false,
-          rolconnlimit: -1,
-          rolsuper: false,
-          rolcreaterole: false,
-          rolcreatedb: false,
-          rolinherit: true,
-          rolcatupdate: false,
-          rolreplication: false,
-          rolvaliduntil: null,
-        },
-        schema: [{
-          id: 'rolname', label: gettext('Name'), type: 'text',
-          readonly: 'readonly',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string', mode: ['properties'],
-          editable: false, type: 'text', visible: true,
-        },{
-          id: 'rolvaliduntil', readonly: 'readonly', type: 'text',
-          group: gettext('Definition'), label: gettext('Account expires'),
-          mode: ['properties', 'edit', 'create'], control: 'datetimepicker',
-          deps: ['rolcanlogin'],
-          placeholder: gettext('No Expiry'),
-          helpMessage: gettext('Please note that if you leave this field blank, then password will never expire.'),
-          setMinDate: false,
-        },{
-          id: 'rolconnlimit',  type: 'int', group: gettext('Definition'),
-          label: gettext('Connection limit'), cell: 'integer', min : -1,
-          mode: ['properties', 'edit', 'create'], readonly: 'readonly',
-        },{
-          id: 'rolcanlogin', label: gettext('Can login?'),
-          type: 'switch',
-          controlLabelClassName: 'control-label pg-el-sm-4 pg-el-12',
-          controlsClassName: 'pgadmin-controls pg-el-sm-8 pg-el-12',
-          group: gettext('Privileges'),
-          readonly: 'readonly',
-        },{
-          id: 'rolsuper', label: gettext('Superuser?'),
-          type: 'switch',
-          controlLabelClassName: 'control-label pg-el-sm-4 pg-el-12',
-          controlsClassName: 'pgadmin-controls pg-el-sm-8 pg-el-12',
-          group: gettext('Privileges'),
-          control: Backform.SwitchControl.extend({
-            onChange: function() {
-              Backform.SwitchControl.prototype.onChange.apply(this, arguments);
-
-              this.model.set('rolcatupdate', this.model.get('rolsuper'));
-              this.model.set('rolcreaterole', this.model.get('rolsuper'));
-              this.model.set('rolcreatedb', this.model.get('rolsuper'));
-            },
-          }),
-          readonly: 'readonly',
-        },{
-          id: 'rolcreaterole', label: gettext('Create roles?'),
-          group: gettext('Privileges'),
-          type: 'switch',
-          controlLabelClassName: 'control-label pg-el-sm-4 pg-el-12',
-          controlsClassName: 'pgadmin-controls pg-el-sm-8 pg-el-12',
-          readonly: 'readonly',
-        },{
-          id: 'is_sys_obj', label: gettext('System role?'),
-          cell:'boolean', type: 'switch', mode: ['properties'],
-        },{
-          id: 'description', label: gettext('Comments'), type: 'multiline',
-          group: null, mode: ['properties', 'edit', 'create'],
-          readonly: 'readonly',
-        },{
-          id: 'rolcreatedb', label: gettext('Create databases?'),
-          group: gettext('Privileges'),
-          type: 'switch',
-          controlLabelClassName: 'control-label pg-el-sm-4 pg-el-12',
-          controlsClassName: 'pgadmin-controls pg-el-sm-8 pg-el-12',
-          readonly: 'readonly',
-        },{
-          id: 'rolcatupdate', label: gettext('Update catalog?'),
-          type: 'switch',
-          controlLabelClassName: 'control-label pg-el-sm-4 pg-el-12',
-          controlsClassName: 'pgadmin-controls pg-el-sm-8 pg-el-12',
-          max_version: 90400,
-          group: gettext('Privileges'), readonly: function(m) {
-            return m.get('read_only');
-          },
-          disabled: function(m) {
-            return !m.get('rolsuper');
-          },
-        },{
-          id: 'rolinherit', group: gettext('Privileges'),
-          label: gettext('Inherit rights from the parent roles?'),
-          type: 'switch',
-          controlLabelClassName: 'control-label pg-el-sm-4 pg-el-12',
-          controlsClassName: 'pgadmin-controls pg-el-sm-8 pg-el-12',
-          readonly: 'readonly',
-        },{
-          id: 'rolreplication', group: gettext('Privileges'),
-          label: gettext('Can initiate streaming replication and backups?'),
-          type: 'switch',
-          controlLabelClassName: 'control-label pg-el-sm-4 pg-el-12',
-          controlsClassName: 'pgadmin-controls pg-el-sm-8 pg-el-12',
-          min_version: 90100,
-          readonly: 'readonly',
-        }],
-        readonly: function(m) {
-          if (!m.has('read_only')) {
-            var user = this.node_info.server.user;
-
-            m.set('read_only', !(user.is_superuser || user.can_create_role));
-          }
-
-          return m.get('read_only');
-        },
-        validate: function()
-        {
-          var err = {},
-            errmsg,
-            seclabels = this.get('seclabels');
-
-          if (_.isUndefined(this.get('rolname')) || String(this.get('rolname')).replace(/^\s+|\s+$/g, '') == '') {
-            err['name'] = gettext('Name cannot be empty.');
-            errmsg = err['name'];
-          }
-
-          if (seclabels) {
-            var secLabelsErr;
-            for (var i = 0; i < seclabels.models.length && !secLabelsErr; i++) {
-              secLabelsErr = (seclabels.models[i]).validate.apply(seclabels.models[i]);
-              if (secLabelsErr) {
-                err['seclabels'] = secLabelsErr;
-                errmsg = errmsg || secLabelsErr;
-              }
-            }
-          }
-
-          this.errorModel.clear().set(err);
-
-          if (_.size(err)) {
-            this.trigger('on-status', {msg: errmsg});
-            return errmsg;
-          }
-
-          return null;
-        },
-      }),
     });
   }
 
